
%define url_ver %(echo %{version}|cut -d. -f1,2)

# filter out plugin .so provides
%define _requires_exceptions %{_libdir}/%{name}/.*\\.so
%define _udevrulesdir /lib/udev/rules.d

Summary:       MATE Desktop settings daemon
Name:          mate-settings-daemon
Version:       1.28.0
Release:       %mkrel 1
License:       GPLv2+
Group:         Graphical desktop/MATE
URL:           http://mate-desktop.org
Source0:       http://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:        mate-settings-daemon-1.10.0-mga-fix_underlinking.patch
BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: pkgconfig(libcanberra-gtk3)
BuildRequires: intltool
BuildRequires: pkgconfig(dbus-glib-1)
BuildRequires: pkgconfig(fontconfig)
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(ice)
BuildRequires: pkgconfig(dconf)
BuildRequires: pkgconfig(mate-desktop-2.0)
BuildRequires: pkgconfig(libmatekbd)
BuildRequires: pkgconfig(libnotify)
BuildRequires: pkgconfig(libxklavier)
BuildRequires: pkgconfig(nss)
BuildRequires: pkgconfig(polkit-gobject-1)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xfixes)
BuildRequires: pkgconfig(xi)
BuildRequires: pkgconfig(xxf86misc)
BuildRequires: pkgconfig(sm)
BuildRequires: pkgconfig(libmatemixer)
BuildRequires: pkgconfig(libpulse)

%description
MATE settings daemon manages the configuration of the desktop in the
background.

%package -n %{name}-devel
Summary:    Include files for the MATE settings daemon
Group:      Development/Libraries
Requires:   %{name} = %{version}-%{release}
Obsoletes:  %{name}-devel
Provides:   %{name}-devel = %{version}-%{release}

%description -n	%{name}-devel
Include files for the MATE settings daemon

%prep
%setup -q
%autopatch -p1

%build

# Neeed by patch0
autoreconf -fi
%configure2_5x                       \
   --enable-pulse                      \
   --disable-static                    \
   --disable-schemas-compile           \
   --with-x                            \
   --with-nssdb                        \
   --enable-profiling                  \
   --enable-polkit
   

sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool

%make_build

%install
rm -rf %buildroot
%make_install

find %{buildroot} -name *.la -delete

#move to correct location
mkdir -p %buildroot/lib/udev/rules.d
mv %buildroot/usr/lib/udev/rules.d/61-mate-settings-daemon-rfkill.rules \
%buildroot/lib/udev/rules.d/61-mate-settings-daemon-rfkill.rules

%find_lang %{name}

%files -f %{name}.lang
%config(noreplace) %{_sysconfdir}/xdg/autostart/mate-settings-daemon.desktop
%dir %{_sysconfdir}/xrdb
%{_sysconfdir}/xrdb/*.ad
%{_libdir}/%{name}/liba11y-keyboard.so
%{_libdir}/%{name}/liba11y-settings.so
%{_libdir}/%{name}/libsound.so
%{_libdir}/%{name}/libkeybindings.so
%{_libdir}/%{name}/libmpris.so
%{_libdir}/%{name}/libxrandr.so
%{_libdir}/%{name}/libbackground.so
%{_libdir}/%{name}/libkeyboard.so
%{_libdir}/%{name}/libsmartcard.so
%{_libdir}/%{name}/libxrdb.so
%{_libdir}/%{name}/libclipboard.so
%{_libdir}/%{name}/libxsettings.so
%{_libdir}/%{name}/libhousekeeping.so
%{_libdir}/%{name}/libmouse.so
%{_libdir}/%{name}/libtyping-break.so
%{_libdir}/%{name}/libmedia-keys.so
%{_libdir}/%{name}/*.mate-settings-plugin
%{_libdir}/%{name}/librfkill.so
%{_libexecdir}/*
%{_datadir}/dbus-1/services/org.mate.SettingsDaemon.service
%{_iconsdir}/hicolor/*/apps/msd-xrandr.*
%{_datadir}/%{name}/
%{_datadir}/mate-control-center/keybindings/50-accessibility.xml
%{_datadir}/glib-2.0/schemas/org.mate.*.xml
%{_mandir}/man1/mate-settings-daemon.1*
%{_mandir}/man1/msd-datetime-mechanism.1*
%{_mandir}/man1/msd-locate-pointer.1*
%{_datadir}/dbus-1/system-services/org.mate.SettingsDaemon.DateTimeMechanism.service
%{_datadir}/dbus-1/system.d/org.mate.SettingsDaemon.DateTimeMechanism.conf
%{_datadir}/polkit-1/actions/org.mate.settingsdaemon.datetimemechanism.policy
%{_udevrulesdir}/61-mate-settings-daemon-rfkill.rules

%files -n %{name}-devel
%{_includedir}/%{name}/*
%{_libdir}/pkgconfig/*

%pre
rm -rf %{_libexecdir}/mate-settings-daemon &> /dev/null || :
rm -rf %{_sysconfdir}/xdg/autostart/mate-settings-daemon.desktop &> /dev/null || :
 
%post
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%postun
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%changelog
* Sat Feb 17 2024 tex - 1.28.0-1pclos2024
- new version

* Tue Feb 13 2024 tex - 1.26.1-2pclos2024
- rebuild against updates

* Fri May 12 2023 tex - 1.26.1-1pclos2023
- new version

* Thu Aug 04 2022 tex - 1.26.0-2pclos2022
- rebuild

* Sun Aug 08 2021 tex - 1.26.0-1pclos2021
- new version

* Tue Apr 06 2021 tex - 1.24.2-1pclos2021
- new version

* Sat Feb 15 2020 tex - 1.24.0-1pclos2020
- 1.24.0
